@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --main-font: 'Poppins', sans-serif;
    --heading-font: 'Josefin Sans', sans-serif;

    --white-color: #ffffff;
    --white-color-2: #e5e5e5;

    --black-color: #000000;
    --black-color-2: #757575;
    --black-color-3: #3f3f3f;

    --color-1: #cb26b6;
    --color-2: #f8b127;
    --color-3: #f365a3;
    --color-4: #73c016;
    --color-5: #9f2b83;
    --color-6: #ffe4f0;
    --color-7: #700d3e;
    --color-8: #270131;
}



/* Global Css */
body {
    font-family: var(--main-font);
}
h1, h2, h3 {
    font-family: var(--heading-font);
}
a {
    display: inline-block;
    text-decoration: none;
    transition: .3s;
}
img {
    max-width: 100%;
}
.def-btn {
    height: 50px;
    line-height: 50px;
    background: var(--color-1);
    color: var(--white-color);
    padding: 0 30px;
    border-radius: 25px;
    font-size: 18px;
    font-weight: 500;
}
.def-btn i {
    margin-right: 5px;
}
.def-btn:hover {
    background: var(--color-2);
    color: var(--white-color);
}
.def-btn-2 {
    height: 50px;
    line-height: 50px;
    background: var(--color-2);
    color: var(--white-color);
    padding: 0 30px;
    border-radius: 25px;
    font-size: 18px;
    font-weight: 500;
}
.def-btn-2 i {
    margin-right: 5px;
}
.def-btn-2:hover {
    background: var(--color-1);
    color: var(--white-color);
}
.g-4, .gy-4 {
    --bs-gutter-y: 35px;
}
.g-4, .gx-4 {
    --bs-gutter-x: 35px;
}
.section-heading {
    margin-bottom: 70px;
}
.section-heading h2 {
    font-size: 50px;
    line-height: 1;
    font-weight: 700;
    letter-spacing: -2px;
    color: transparent;
    background: linear-gradient(to right, var(--color-1), var(--color-2));
    -webkit-background-clip: text;
    margin-bottom: 21px;
}
.section-heading p {
    font-size: 18px;
    line-height: 1.5;
    color: var(--black-color-2);
    margin-bottom: -7px;
}


/* Banner Section */
.banner {
    background: url(../images/banner.jpg) center center no-repeat;
    background-size: cover;
    position: relative;
    z-index: 2;
}
.banner::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: var(--black-color);
    opacity: 0.2;
    z-index: -1;
}
.banner::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: url(../images/banner-vector.png) center bottom no-repeat;
    background-size: contain;
    z-index: -1;
}
.banner .banner-txt {
    text-align: center;
    padding: 200px 0 250px;
}
.banner-txt h1 {
    font-size: 80px;
    line-height: 1.4;
    font-weight: 700;
    letter-spacing: -2px;
    color: var(--white-color);
    margin-top: -13px;
    margin-bottom: 14px;
}
.banner-txt p {
    font-size: 30px;
    line-height: 1.5;
    color: var(--white-color-2);
    margin-bottom: 48px;
}
.banner-badge {
    display: flex;
    gap: 40px;
    width: max-content;
    background: var(--white-color);
    padding: 10px 40px;
    border-radius: 3px;
    margin: 0 auto 50px;
}
.banner-badge span {
    width: 30px;
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* Demo Section */
.demo {
    padding: 120px 0;
    position: relative;
    z-index: 2;
}
.demo::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 70%;
    background: url(../images/vector-background-3.png) center bottom;
    background-size: contain;
    filter: grayscale(1);
    opacity: 0.1;
    z-index: -1;
}
.demo-card {
    background: var(--white-color);
    box-shadow: 0px 10px 20px 10px rgba(0, 0, 0, .05);
    border-radius: 10px;
    padding: 10px;
    overflow: hidden;
    transition: .3s;
}
.demo-card:hover {
    transform: translateY(-5px);
}
.demo-card-img {
    border: 1px solid rgba(0, 0, 0, .07);
    border-radius: 5px;
    overflow: hidden;
}
.demo-card-txt {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--black-color);
    padding: 15px 10px 5px;
}
.demo-card-txt h3 {
    font-size: 18px;
    margin-bottom: 0;
}
.demo-card-btn {
    height: 30px;
    line-height: 30px;
    font-size: 14px;
    font-weight: 500;
    padding: 0 15px;
    color: var(--white-color);
    background: var(--color-7);
    border-radius: 3px; 
    position: relative;
    z-index: 2;
}
.demo-card-btn::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--white-color);
    border-radius: 3px;
    opacity: 0.2;
    transition: .3s;
    z-index: -1;
}
.demo-card-btn i {
    font-size: 12px;
}
.demo-card-btn:hover::after {
    opacity: 0;
}
.demo-card-btn-2 {
    height: 30px;
    line-height: 30px;
    font-size: 14px;
    font-weight: 500;
    padding: 0 15px;
    color: var(--white-color);
    background: var(--color-3);
    border-radius: 3px;
    position: relative;
    z-index: 2;
}
.demo-card-btn-2 i {
    font-size: 12px;
}
.demo-card-btn-2::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--white-color);
    border-radius: 3px;
    opacity: 0.2;
    transition: .3s;
    z-index: -1;
}
.demo-card-btn-2:hover::after {
    opacity: 0;
}


/* Cta Section */
.cta {
    padding: 120px 0;
    position: relative;
    z-index: 2;
    overflow: hidden;
}
.cta::after {
    content: "";
    position: absolute;
    bottom: 0;
    right: -6%;
    width: 40%;
    height: 60%;
    background: url(../images/cta-img.png) center center no-repeat;
    background-size: contain;
    opacity: 0.1;
    z-index: -1;
}
.cta .part-txt h2 {
    font-size: 60px;
    line-height: 75px;
    font-weight: 600;
    letter-spacing: -2px;
    color: var(--black-color-3);
    color: transparent;
    background: linear-gradient(to right, var(--color-1), var(--color-2));
    -webkit-background-clip: text;
    margin-top: -3px;
    margin-bottom: 20px;
}
.cta .part-txt p {
    font-size: 18px;
    line-height: 30px;
    color: var(--black-color-2);
    margin-bottom: 41px;
}
.cta .part-img {
    position: relative;
    z-index: 2;
}
.cta .part-img::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    aspect-ratio: 1 / 1;
    background: var(--black-color-2);
    border-radius: 60px;
    transform: translateY(-50%) rotate(-20deg);
    z-index: -1;
    opacity: 0.1;
}
.cta .part-img::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    aspect-ratio: 1 / 1;
    background: var(--black-color-3);
    border-radius: 60px;
    transform: translateY(-50%) rotate(-5deg);
    z-index: -1;
    opacity: 0.1;
}


/* Cta Section */
.feature {
    padding-bottom: 120px;
}
.single-feature-box {
    text-align: center;
}
.single-feature-box .part-icon {
    width: 50px;
    aspect-ratio: 1 / 1;
    margin: auto;
    margin-bottom: 19px;
}
.single-feature-box .part-icon img {
    max-height: 50px;
}
.single-feature-box span {
    display: block;
    font-size: 16px;
    line-height: 1;
    color: var(--black-color-2);
    margin-bottom: -3px;
}


/* Footer Section */
.footer {
    padding: 20px 0;
    border-top: 1px solid rgba(0, 0, 0, .1);
    background: rgba(0, 0, 0, .05);
}
.footer-logo img {
    max-width: 150px;
}
.footer p {
    text-align: center;
    font-size: 16px;
    line-height: 1;
    color: var(--black-color-2);
    margin-bottom: 0;
}
.footer-social {
    display: flex;
    justify-content: flex-end;
    gap: 15px;
}
.footer-social a {
    text-align: center;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background: var(--color-7);
    border: 1px solid var(--color-7);
    border-radius: 50%;
    color: var(--white-color);
}
.footer-social a:hover {
    background: var(--white-color);
    border-color: rgba(0, 0, 0, .2);
    color: var(--color-7);
}




@media screen and (max-width: 1199px) and (min-width: 992px) {
    .def-btn,
    .def-btn-2 {
        height: 35px;
        line-height: 35px;
        font-size: 14px;
        padding: 0 20px;
    }
    .def-btn i,
    .def-btn-2 i {
        margin-right: 0;
    }
    .section-heading {
        margin-bottom: 45px;
    }
    .section-heading h2 {
        font-size: 28px;
        margin-bottom: 19px;
    }
    .section-heading p {
        font-size: 14px;
        margin-bottom: -6px;
    }
    .g-4, .gx-4 {
        --bs-gutter-x: 30px
    }
    .g-4, .gy-4 {
        --bs-gutter-y: 30px
    }



    .banner .banner-txt {
        padding: 80px 0 120px;
    }
    .banner-txt h1 {
        font-size: 50px;
        margin-top: -7px;
        margin-bottom: 14px;
    }
    .banner-txt p {
        font-size: 16px;
        margin-bottom: 28px;
    }
    .banner-badge {
        gap: 20px;
        padding: 5px 25px;
        margin: 0 auto 35px;
    }
    .banner-badge span {
        width: 25px;
    }



    .demo {
        padding: 60px 0;
    }
    .demo-card-txt h3 {
        font-size: 16px;
        margin-bottom: -4px;
    }
    .demo-card-btn,
    .demo-card-btn-2 {
        height: 25px;
        line-height: 25px;
        font-size: 12px;
        padding: 0 10px;
    }
    .demo-card-btn ,
    .demo-card-btn-2 i {
        font-size: 10px;
    }



    .cta {
        padding: 60px 0;
    }
    .cta .part-txt h2 {
        font-size: 28px;
        line-height: 38px;
        margin-bottom: 12px;
    }
    .cta .part-txt p {
        font-size: 14px;
        line-height: 1.8;
        margin-bottom: 22px;
    }



    .feature {
        padding-bottom: 60px;
    }
    .single-feature-box .part-icon {
        width: 40px;
        margin-bottom: 13px;
    }
    .single-feature-box span {
        font-size: 14px;
    }



    .footer {
        padding: 15px 0;
    }
    .footer-logo img {
        max-width: 120px;
    }
    .footer p {
        font-size: 14px;
    }
    .footer-social {
        gap: 10px;
    }
    .footer-social a {
        width: 35px;
        height: 35px;
        line-height: 35px;
        font-size: 14px;
    }
}
@media screen and (max-width: 991px) and (min-width: 320px) {
    .def-btn,
    .def-btn-2 {
        height: 35px;
        line-height: 35px;
        font-size: 14px;
        padding: 0 20px;
    }
    .def-btn i,
    .def-btn-2 i {
        margin-right: 0;
    }
    .section-heading {
        margin-bottom: 45px;
    }
    .section-heading h2 {
        font-size: 28px;
        margin-bottom: 19px;
    }
    .section-heading p {
        font-size: 14px;
        margin-bottom: -6px;
    }
    .g-4, .gx-4 {
        --bs-gutter-x: 30px
    }
    .g-4, .gy-4 {
        --bs-gutter-y: 30px
    }



    .banner .banner-txt {
        padding: 70px 0 90px;
    }
    .banner-txt h1 {
        font-size: 30px;
        margin-top: -5px;
        margin-bottom: 11px;
    }
    .banner-txt p {
        font-size: 16px;
        margin-bottom: 24px;
    }
    .banner-badge {
        gap: 20px;
        padding: 5px 25px;
        margin: 0 auto 30px;
    }
    .banner-badge span {
        width: 25px;
    }



    .demo {
        padding: 60px 0;
    }
    .demo-card-txt h3 {
        font-size: 16px;
        margin-bottom: -4px;
    }
    .demo-card-btn,
    .demo-card-btn-2 {
        height: 25px;
        line-height: 25px;
        font-size: 12px;
        padding: 0 10px;
    }
    .demo-card-btn ,
    .demo-card-btn-2 i {
        font-size: 10px;
    }



    .cta {
        padding: 60px 0;
    }
    .cta .part-txt h2 {
        font-size: 28px;
        line-height: 38px;
        margin-bottom: 12px;
    }
    .cta .part-txt p {
        font-size: 14px;
        line-height: 1.8;
        margin-bottom: 22px;
    }



    .feature {
        padding-bottom: 60px;
    }
    .single-feature-box .part-icon {
        width: 40px;
        margin-bottom: 13px;
    }
    .single-feature-box span {
        font-size: 14px;
    }



    .footer {
        padding: 15px 0;
    }
    .footer-logo img {
        max-width: 120px;
    }
    .footer p {
        font-size: 14px;
    }
    .footer-social {
        justify-content: center;
        gap: 10px;
    }
    .footer-social a {
        width: 35px;
        height: 35px;
        line-height: 35px;
        font-size: 14px;
    }
}
@media screen and (max-width: 767px) and (min-width: 320px) {
    .cta .part-img {
        max-width: 320px;
        margin: auto;
    }
    .cta .part-txt {
        text-align: center;
    }
}